Category: Improving Estimated time: 0.00 hour
Description

(1) With a ZZ^1-grading I think it is enough to compute a "wdeg-rev" ReducedGBasis then "saturate" each element independently

(cannot currently find the relevant lemma in K+R).

I think that CoCoALib does not handle this case cleverly: check what the code actually does.

(2) Moreover, do we want allow homogenization by an indet whose degree is not 1?

Sometimes this is possible:

e.g. deg(x) = 3, deg(h) = 2 then we can homogenize x^3+2*x to get x^3 + 2*x*h^3; but we cannot homogenize x^2+2*x.

My current inclination is to allow homogenization by an indet whose degree is not 1.  Opinions?  Comments?

Related issues:

Related to CoCoALib - Feature #1778: Homogenizer In Progress 02 Feb 2024

History

#1 - 31 Jan 2024 22:07 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

- % Done changed from 0 to 10

Yes, it would be possible to implement this, and perhaps not even too hard. But why?

When would it be useful?  Is there any point in "cluttering up" CoCoALib with code which probably no one will use?

#2 - 01 Feb 2024 10:46 - Anna Maria Bigatti

- Subject changed from Homogenization with ZZ^1-grading to Homogenization of an ideal with ZZ^1-grading

- Description updated

#3 - 01 Feb 2024 10:47 - Anna Maria Bigatti

- Description updated

#4 - 01 Feb 2024 10:48 - Anna Maria Bigatti

- Description updated

#5 - 01 Feb 2024 11:00 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

By Kreuzer-Robbiano: Corollary 4.3.20. It requires that P is positively graded.

#6 - 01 Feb 2024 11:04 - Anna Maria Bigatti

- Description updated

(2) I think we should not provide homogenization by an indet whose degree is not 1, because this is not entirely trivial to do, so it would take time from

more important things, and I doubt it is useful to anyone.
Of course, if someone asks for it, we can reconsider.

#7 - 01 Feb 2024 12:10 - Anna Maria Bigatti

By Robbiano: No need to allow homogenization by an indet whose degree is not 1.

#8 - 01 Feb 2024 19:59 - John Abbott

- % Done changed from 10 to 20

Anna, are you willing to investigate point (1): the implementation behaving cleverly if the term order is wdeg-compatible, and the grading is strictly

positive?

#9 - 02 Feb 2024 20:13 - John Abbott

- Related to Feature #1778: Homogenizer added
